Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
h2c

Đặt lại layer hiện hành

Các bài được khuyến nghị

h2c    1

Dạo này hay dùng nhiều máy tính khác nhau nhưng monitor nhỏ quá nên hay phải bấm Crtl+0 để frulscreen nhưng mà không biết làm sao để đổi layer trong quá trình vẽ vì cái thanh layer cũng bị hide luôn .

Có cách nào chọn cho nhanh không ? Cám ơn mọi người .

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
interwar1283    211
Dạo này hay dùng nhiều máy tính khác nhau nhưng monitor nhỏ quá nên hay phải bấm Crtl+0 để frulscreen nhưng mà không biết làm sao để đổi layer trong quá trình vẽ vì cái thanh layer cũng bị hide luôn .

Có cách nào chọn cho nhanh không ? Cám ơn mọi người .

Cách của mình ấn tổ hợp phím Ctrl+1, để thanh Properties ở chế độ auto-hide, khi bạn muốn thay đổi layer thì đưa chuột về phía thanh Properties (đang ẩn) -> thanh Properties hiện ra vào General sẽ thấy ô Layer rồi thực hiện việc chuyển đổi ở đó.

Hoạc dùng lệnh Change -> Select objects -> P -> LA -> tên layer muốn chuyển sang (cách này thì không trực quan lắm và mất thời gian)

Ngoài ra việc chuyển đổi layer cũng có thể làm được bằng Lisp.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
h2c    1
Cách của mình ấn tổ hợp phím Ctrl+1, để thanh Properties ở chế độ auto-hide, khi bạn muốn thay đổi layer thì đưa chuột về phía thanh Properties (đang ẩn) -> thanh Properties hiện ra vào General sẽ thấy ô Layer rồi thực hiện việc chuyển đổi ở đó.

Hoạc dùng lệnh Change -> Select objects -> P -> LA -> tên layer muốn chuyển sang (cách này thì không trực quan lắm và mất thời gian)

Ngoài ra việc chuyển đổi layer cũng có thể làm được bằng Lisp.

Thanks bạn , nhưng ý mình là muốn đổi layer xong rồi vẽ . Cách của bạn là sau khi vẽ rồi mới đổi layer .

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Nguyen Hoanh    4.524
Thanks bạn , nhưng ý mình là muốn đổi layer xong rồi vẽ . Cách của bạn là sau khi vẽ rồi mới đổi layer .

Muốn đổi layer hiện hành, gõ CLAYER tại dòng lệnh, rồi nhập tên layer vào.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
h2c    1

Cám ơn bạn rất nhiều . Mình muốn chuyển dòng lệnh clayer thành cụm cl ngắn hơn thì làm sao ? Cad2008 này nhiều thứ mới quá .

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Nguyen Hoanh    4.524
Cám ơn bạn rất nhiều . Mình muốn chuyển dòng lệnh clayer thành cụm cl ngắn hơn thì làm sao ? Cad2008 này nhiều thứ mới quá .

đoạn lisp sau sẽ làm điều đó:

(defun c:CL()(command "clayer" pause))

lệnh CL sẽ làm được việc thay đổi tên layer hiện hành. bạn không muốn là CL thì cứ đổi sang tên khác.

 

bạn copy mã lisp trên rồi paste vào 1 file text và save về dạng đuôi lsp, sau đó appload nó lên và dùng. Hoặc bạn copy và paste đoạn lisp trên vào dòng command (mỗi bản vẽ paste 1 lần).

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
kts.ngocquan    37

Tôi lại dùng cái này

 

(DEFUN C:LC (/ OBJ)

(SETQ OBJ (ENTSEL))

(IF (/= OBJ NIL)

(SETVAR "CLAYER" (CDR (ASSOC 8 (ENTGET (CAR OBJ)) )) )

)

(PRINC)

)

 

sau đó pick vào object >>>> enjoy :unsure:

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Theghost    31

Nhưng sao em thử dùng rồi, công nhận là Ok

Nhưng có 1 vấn đề là sau khi kết thúc lệnh ko dùng được phím Space bar bác ạ ,phải dùng phím Enter ,thế này thì phiền phức quá, có cách nào dùng Space bar ko bác hoành(chỉ lệnh Clayer này thôi,các lệnh khác vẫn ok).

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Nguyen Hoanh    4.524
Nhưng sao em thử dùng rồi, công nhận là Ok

Nhưng có 1 vấn đề là sau khi kết thúc lệnh ko dùng được phím Space bar bác ạ ,phải dùng phím Enter ,thế này thì phiền phức quá, có cách nào dùng Space bar ko bác hoành(chỉ lệnh Clayer này thôi,các lệnh khác vẫn ok).

Có cách dùng space bar để kết thúc lệnh, như sau:

(defun c:CL()(command "clayer" (getstring)))

Nhưng như thế này thì bạn sẽ không thể chuyển về các layer có tên chứa dấu cách.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×